This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Re: PATCH: Share the dwarf2 unwind code between glibc and gcc 3.0


On Mon, Jul 09, 2001 at 04:28:37PM -0400, Jakub Jelinek wrote:
> > 
> > What if glibc's implementation of __frame_state_for dlopen'ed
> > libgcc_s and called the implementation therein?
> 
> Yes, sounds like a good plan.
> 
> > This avoids the extra run-time overhead you're concerned about
> > for normal C programs, and only affects those C++ v2 programs
> > that actually throw an exception.

I like the idea except for that it doesn't solve the compatiblity
problem between executables/DSOs linked against the same version of
different glibc compiled with gcc pre 3.0 and gcc 3.0. That means
everyone has to run the glibc compiled with the compatible gcc. Maybe,
we can keep a copy in glibc as a fallback when dlopen libgcc_s fails.


H.J.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]